pieceMask.h File Reference
`#include "osl/config.h"`
`#include "osl/bits/ptypeTraits.h"`
`#include "osl/bits/pieceMask64.h"`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osl::PieceMask
| 駒番号のビットセット. More...

## Namespaces

namespace | osl

## Typedefs

typedef PieceMask64 | osl::PieceMaskBase

## Functions

const PieceMask | osl::operator& (const PieceMask &m1, const PieceMask &m2)
const PieceMask | osl::operator| (const PieceMask &m1, const PieceMask &m2)
const PieceMask | osl::operator~ (const PieceMask &m1)
bool | osl::operator== (const PieceMask &m1, const PieceMask &m2)
bool | osl::operator!= (const PieceMask &m1, const PieceMask &m2)
std::ostream & | osl::operator<< (std::ostream &os, PieceMask const &pieceMask)